PrefabFiles = {
	"daryu",
}

Assets = {
    Asset( "IMAGE", "images/saveslot_portraits/daryu.tex" ),
    Asset( "ATLAS", "images/saveslot_portraits/daryu.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/daryu.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/daryu.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/daryu_silho.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/daryu_silho.xml" ),

    Asset( "IMAGE", "bigportraits/daryu.tex" ),
    Asset( "ATLAS", "bigportraits/daryu.xml" ),
	
	Asset( "IMAGE", "images/map_icons/daryu.tex" ),
	Asset( "ATLAS", "images/map_icons/daryu.xml" ),
	
	Asset( "IMAGE", "images/avatars/avatar_daryu.tex" ),
    Asset( "ATLAS", "images/avatars/avatar_daryu.xml" ),
	
	Asset( "IMAGE", "images/avatars/avatar_ghost_daryu.tex" ),
    Asset( "ATLAS", "images/avatars/avatar_ghost_daryu.xml" ),
}

AddMinimapAtlas("images/daryu.xml")

-- strings! Any "mikura" below would have to be replaced by the prefab name of your character.

-- The character select screen lines
-- note: these are lower-case character name
GLOBAL.STRINGS.CHARACTER_TITLES.daryu = "Second Robot"
GLOBAL.STRINGS.CHARACTER_NAMES.daryu = "Daryu"  -- Note! This line is especially important as some parts of the game require
                                            -- the character to have a valid name.
GLOBAL.STRINGS.CHARACTER_DESCRIPTIONS.daryu = "*Akaryu is the Second creation of Yoko Family.\n*As the robot is stabilized in all its attributes \n*and equal with Engine1.0"
GLOBAL.STRINGS.CHARACTER_QUOTES.daryu = "\"Master at your service\""

-- You can also add any kind of custom dialogue that you would like. Don't forget to make
-- categores that don't exist yet using = {}
-- note: these are UPPER-CASE charcacter name
--GLOBAL.STRINGS.CHARACTERS.daryu = {}
--GLOBAL.STRINGS.CHARACTERS.daryu.DESCRIBE = {}
--GLOBAL.STRINGS.CHARACTERS.daryu.DESCRIBE.EVERGREEN = "A template description of a tree."
local require = GLOBAL.require
local STRINGS = GLOBAL.STRINGS
GLOBAL.STRINGS.CHARACTERS.DARYU = require "speech_daryu"

-- DST 
STRINGS.NAMES.DARYU = "Daryu"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.DARYU = 
{
	GENERIC = "Berries now!",
	ATTACKER = "Back off!",
	MURDERER = "You are murder!",
	REVIVER = "Friend of ghosts",
	GHOST = "Wow, ghost, yay",
}

-- Let the game know marty is a male, for proper pronouns during the end-game sequence.
-- Possible genders here are MALE, FEMALE, or ROBOT
table.insert(GLOBAL.CHARACTER_GENDERS.ROBOT, "daryu")

AddMinimapAtlas("images/map_icons/daryu.xml")

AddModCharacter("daryu")

